[R-SIG-Mac] Update to versions GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0 in macOS Catalina

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

[R-SIG-Mac] Update to versions GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0 in macOS Catalina

Manuel Spínola
Dear list members,

Sorry for crossposting.  I sent this message to the r-sig-geo but
apparently no many people know how to do this in MacOS.  I am working with
R 4.0.0 and macOS Catalina 10.15.4

I am working with spatial package that to have full functionality depend on
updated versions of:

GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0

Best,

Manuel

--
*Manuel Spínola, Ph.D.*
Instituto Internacional en Conservación y Manejo de Vida Silvestre
Universidad Nacional
Apartado 1350-3000
Heredia
COSTA RICA
[hidden email] <[hidden email]>
[hidden email]
Teléfono: (506) 8706 - 4662
Personal website: Lobito de río <https://sites.google.com/site/lobitoderio/>
Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>

        [[alternative HTML version deleted]]

_______________________________________________
R-SIG-Mac mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-mac
Reply | Threaded
Open this post in threaded view
|

Re: [R-SIG-Mac] Update to versions GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0 in macOS Catalina

Simon Urbanek
Manuel,

see
https://github.com/R-macos/recipes <https://github.com/R-macos/recipes>
you can update the recipes to use the required versions to build a setup that works for your package. Once you do you can issue a pull request so we can update CRAN accordingly.

Please note that it is generally not a good idea to require latests versions as that excludes a large number of users from using your package. Many user don't have control over dependent libraries and must use supported versions. The mainstream LTS versions right now are geos 3.6.2, gdal 2.2.3 and proj 4.9.3 and latest non-LTS are geos 3.7.1, gdal 2.4.0 and proj 5.2.0 which is pretty much the maximum you can realistically require.

Cheers,
Simon


> On May 23, 2020, at 7:41 AM, Manuel Spínola <[hidden email]> wrote:
>
> Dear list members,
>
> Sorry for crossposting.  I sent this message to the r-sig-geo but
> apparently no many people know how to do this in MacOS.  I am working with
> R 4.0.0 and macOS Catalina 10.15.4
>
> I am working with spatial package that to have full functionality depend on
> updated versions of:
>
> GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0
>
> Best,
>
> Manuel
>
> --
> *Manuel Spínola, Ph.D.*
> Instituto Internacional en Conservación y Manejo de Vida Silvestre
> Universidad Nacional
> Apartado 1350-3000
> Heredia
> COSTA RICA
> [hidden email] <[hidden email]>
> [hidden email]
> Teléfono: (506) 8706 - 4662
> Personal website: Lobito de río <https://sites.google.com/site/lobitoderio/>
> Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>
>
> [[alternative HTML version deleted]]
>
> _______________________________________________
> R-SIG-Mac mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-mac


        [[alternative HTML version deleted]]

_______________________________________________
R-SIG-Mac mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-mac
Reply | Threaded
Open this post in threaded view
|

Re: [R-SIG-Mac] Update to versions GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0 in macOS Catalina

Manuel Spínola
Thank you very much Simon.

I don't know much about programming so I will keep the current versions.

I was asking because some of the main spatial packages, as sf and terra, I
think require the latest versions of gdal and proj to be completely
functional. That is my understanding, may be I am wrong.

Best,

Manuel


El vie., 22 may. 2020 a las 16:56, Simon Urbanek (<
[hidden email]>) escribió:

> Manuel,
>
> see
> https://github.com/R-macos/recipes
> you can update the recipes to use the required versions to build a setup
> that works for your package. Once you do you can issue a pull request so we
> can update CRAN accordingly.
>
> Please note that it is generally not a good idea to require latests
> versions as that excludes a large number of users from using your package.
> Many user don't have control over dependent libraries and must use
> supported versions. The mainstream LTS versions right now are geos 3.6.2,
> gdal 2.2.3 and proj 4.9.3 and latest non-LTS are geos 3.7.1, gdal 2.4.0 and
> proj 5.2.0 which is pretty much the maximum you can realistically require.
>
> Cheers,
> Simon
>
>
> On May 23, 2020, at 7:41 AM, Manuel Spínola <[hidden email]> wrote:
>
> Dear list members,
>
> Sorry for crossposting.  I sent this message to the r-sig-geo but
> apparently no many people know how to do this in MacOS.  I am working with
> R 4.0.0 and macOS Catalina 10.15.4
>
> I am working with spatial package that to have full functionality depend on
> updated versions of:
>
> GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0
>
> Best,
>
> Manuel
>
> --
> *Manuel Spínola, Ph.D.*
> Instituto Internacional en Conservación y Manejo de Vida Silvestre
> Universidad Nacional
> Apartado 1350-3000
> Heredia
> COSTA RICA
> [hidden email] <[hidden email]>
> [hidden email]
> Teléfono: (506) 8706 - 4662
> Personal website: Lobito de río <
> https://sites.google.com/site/lobitoderio/>
> Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>
>
> [[alternative HTML version deleted]]
>
> _______________________________________________
> R-SIG-Mac mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-mac
>
>
>

--
*Manuel Spínola, Ph.D.*
Instituto Internacional en Conservación y Manejo de Vida Silvestre
Universidad Nacional
Apartado 1350-3000
Heredia
COSTA RICA
[hidden email] <[hidden email]>
[hidden email]
Teléfono: (506) 8706 - 4662
Personal website: Lobito de río <https://sites.google.com/site/lobitoderio/>
Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>

        [[alternative HTML version deleted]]

_______________________________________________
R-SIG-Mac mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-mac
Reply | Threaded
Open this post in threaded view
|

Re: [R-SIG-Mac] Update to versions GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0 in macOS Catalina

Ken Beath
sf requires GDAL (>= 2.0.1), GEOS (>= 3.4.0), PROJ (>= 4.8.0) so I would assume that its full functionality is available with these.

Ken

> On 23 May 2020, at 10:08 am, Manuel Spínola <[hidden email]> wrote:
>
> Thank you very much Simon.
>
> I don't know much about programming so I will keep the current versions.
>
> I was asking because some of the main spatial packages, as sf and terra, I
> think require the latest versions of gdal and proj to be completely
> functional. That is my understanding, may be I am wrong.
>
> Best,
>
> Manuel
>
>
> El vie., 22 may. 2020 a las 16:56, Simon Urbanek (<
> [hidden email]>) escribió:
>
>> Manuel,
>>
>> see
>> https://github.com/R-macos/recipes
>> you can update the recipes to use the required versions to build a setup
>> that works for your package. Once you do you can issue a pull request so we
>> can update CRAN accordingly.
>>
>> Please note that it is generally not a good idea to require latests
>> versions as that excludes a large number of users from using your package.
>> Many user don't have control over dependent libraries and must use
>> supported versions. The mainstream LTS versions right now are geos 3.6.2,
>> gdal 2.2.3 and proj 4.9.3 and latest non-LTS are geos 3.7.1, gdal 2.4.0 and
>> proj 5.2.0 which is pretty much the maximum you can realistically require.
>>
>> Cheers,
>> Simon
>>
>>
>> On May 23, 2020, at 7:41 AM, Manuel Spínola <[hidden email]> wrote:
>>
>> Dear list members,
>>
>> Sorry for crossposting.  I sent this message to the r-sig-geo but
>> apparently no many people know how to do this in MacOS.  I am working with
>> R 4.0.0 and macOS Catalina 10.15.4
>>
>> I am working with spatial package that to have full functionality depend on
>> updated versions of:
>>
>> GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0
>>
>> Best,
>>
>> Manuel
>>
>> --
>> *Manuel Spínola, Ph.D.*
>> Instituto Internacional en Conservación y Manejo de Vida Silvestre
>> Universidad Nacional
>> Apartado 1350-3000
>> Heredia
>> COSTA RICA
>> [hidden email] <[hidden email]>
>> [hidden email]
>> Teléfono: (506) 8706 - 4662
>> Personal website: Lobito de río <
>> https://sites.google.com/site/lobitoderio/>
>> Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>
>>
>> [[alternative HTML version deleted]]
>>
>> _______________________________________________
>> R-SIG-Mac mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-mac
>>
>>
>>
>
> --
> *Manuel Spínola, Ph.D.*
> Instituto Internacional en Conservación y Manejo de Vida Silvestre
> Universidad Nacional
> Apartado 1350-3000
> Heredia
> COSTA RICA
> [hidden email] <[hidden email]>
> [hidden email]
> Teléfono: (506) 8706 - 4662
> Personal website: Lobito de río <https://sites.google.com/site/lobitoderio/>
> Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>
>
> [[alternative HTML version deleted]]
>
> _______________________________________________
> R-SIG-Mac mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-mac
>


        [[alternative HTML version deleted]]

_______________________________________________
R-SIG-Mac mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-mac
Reply | Threaded
Open this post in threaded view
|

Re: [R-SIG-Mac] Update to versions GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0 in macOS Catalina

Manuel Spínola
Thank you very much Ken.  You are right.

I think the developers of those packages are working with those updated
versions.

Manuel


El vie., 22 may. 2020 a las 18:49, Ken Beath (<[hidden email]>)
escribió:

> sf requires GDAL (>= 2.0.1), GEOS (>= 3.4.0), PROJ (>= 4.8.0) so I would
> assume that its full functionality is available with these.
>
> Ken
>
> On 23 May 2020, at 10:08 am, Manuel Spínola <[hidden email]> wrote:
>
> Thank you very much Simon.
>
> I don't know much about programming so I will keep the current versions.
>
> I was asking because some of the main spatial packages, as sf and terra, I
> think require the latest versions of gdal and proj to be completely
> functional. That is my understanding, may be I am wrong.
>
> Best,
>
> Manuel
>
>
> El vie., 22 may. 2020 a las 16:56, Simon Urbanek (<
> [hidden email]>) escribió:
>
> Manuel,
>
> see
> https://github.com/R-macos/recipes
> you can update the recipes to use the required versions to build a setup
> that works for your package. Once you do you can issue a pull request so we
> can update CRAN accordingly.
>
> Please note that it is generally not a good idea to require latests
> versions as that excludes a large number of users from using your package.
> Many user don't have control over dependent libraries and must use
> supported versions. The mainstream LTS versions right now are geos 3.6.2,
> gdal 2.2.3 and proj 4.9.3 and latest non-LTS are geos 3.7.1, gdal 2.4.0 and
> proj 5.2.0 which is pretty much the maximum you can realistically require.
>
> Cheers,
> Simon
>
>
> On May 23, 2020, at 7:41 AM, Manuel Spínola <[hidden email]> wrote:
>
> Dear list members,
>
> Sorry for crossposting.  I sent this message to the r-sig-geo but
> apparently no many people know how to do this in MacOS.  I am working with
> R 4.0.0 and macOS Catalina 10.15.4
>
> I am working with spatial package that to have full functionality depend on
> updated versions of:
>
> GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0
>
> Best,
>
> Manuel
>
> --
> *Manuel Spínola, Ph.D.*
> Instituto Internacional en Conservación y Manejo de Vida Silvestre
> Universidad Nacional
> Apartado 1350-3000
> Heredia
> COSTA RICA
> [hidden email] <[hidden email]>
> [hidden email]
> Teléfono: (506) 8706 - 4662
> Personal website: Lobito de río <
> https://sites.google.com/site/lobitoderio/>
> Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>
>
> [[alternative HTML version deleted]]
>
> _______________________________________________
> R-SIG-Mac mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-mac
>
>
>
>
> --
> *Manuel Spínola, Ph.D.*
> Instituto Internacional en Conservación y Manejo de Vida Silvestre
> Universidad Nacional
> Apartado 1350-3000
> Heredia
> COSTA RICA
> [hidden email] <[hidden email]>
> [hidden email]
> Teléfono: (506) 8706 - 4662
> Personal website: Lobito de río <
> https://sites.google.com/site/lobitoderio/>
> Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>
>
> [[alternative HTML version deleted]]
>
> _______________________________________________
> R-SIG-Mac mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-mac
>
>
>

--
*Manuel Spínola, Ph.D.*
Instituto Internacional en Conservación y Manejo de Vida Silvestre
Universidad Nacional
Apartado 1350-3000
Heredia
COSTA RICA
[hidden email] <[hidden email]>
[hidden email]
Teléfono: (506) 8706 - 4662
Personal website: Lobito de río <https://sites.google.com/site/lobitoderio/>
Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>

        [[alternative HTML version deleted]]

_______________________________________________
R-SIG-Mac mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-mac
Reply | Threaded
Open this post in threaded view
|

Re: [R-SIG-Mac] Update to versions GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0 in macOS Catalina

Manuel Spínola
For those interested,

Alberto Lázaro-López sent me this link for OSGeo4Mac which use homebrew:

https://github.com/OSGeo/homebrew-osgeo4mac


Manuel





El vie., 22 may. 2020 a las 19:45, Manuel Spínola (<[hidden email]>)
escribió:

> Thank you very much Ken.  You are right.
>
> I think the developers of those packages are working with those updated
> versions.
>
> Manuel
>
>
> El vie., 22 may. 2020 a las 18:49, Ken Beath (<[hidden email]>)
> escribió:
>
>> sf requires GDAL (>= 2.0.1), GEOS (>= 3.4.0), PROJ (>= 4.8.0) so I would
>> assume that its full functionality is available with these.
>>
>> Ken
>>
>> On 23 May 2020, at 10:08 am, Manuel Spínola <[hidden email]> wrote:
>>
>> Thank you very much Simon.
>>
>> I don't know much about programming so I will keep the current versions.
>>
>> I was asking because some of the main spatial packages, as sf and terra, I
>> think require the latest versions of gdal and proj to be completely
>> functional. That is my understanding, may be I am wrong.
>>
>> Best,
>>
>> Manuel
>>
>>
>> El vie., 22 may. 2020 a las 16:56, Simon Urbanek (<
>> [hidden email]>) escribió:
>>
>> Manuel,
>>
>> see
>> https://github.com/R-macos/recipes
>> you can update the recipes to use the required versions to build a setup
>> that works for your package. Once you do you can issue a pull request so
>> we
>> can update CRAN accordingly.
>>
>> Please note that it is generally not a good idea to require latests
>> versions as that excludes a large number of users from using your package.
>> Many user don't have control over dependent libraries and must use
>> supported versions. The mainstream LTS versions right now are geos 3.6.2,
>> gdal 2.2.3 and proj 4.9.3 and latest non-LTS are geos 3.7.1, gdal 2.4.0
>> and
>> proj 5.2.0 which is pretty much the maximum you can realistically require.
>>
>> Cheers,
>> Simon
>>
>>
>> On May 23, 2020, at 7:41 AM, Manuel Spínola <[hidden email]> wrote:
>>
>> Dear list members,
>>
>> Sorry for crossposting.  I sent this message to the r-sig-geo but
>> apparently no many people know how to do this in MacOS.  I am working with
>> R 4.0.0 and macOS Catalina 10.15.4
>>
>> I am working with spatial package that to have full functionality depend
>> on
>> updated versions of:
>>
>> GEOS 3.8.0, GDAL 3.0.4 and PROJ 7.0.0
>>
>> Best,
>>
>> Manuel
>>
>> --
>> *Manuel Spínola, Ph.D.*
>> Instituto Internacional en Conservación y Manejo de Vida Silvestre
>> Universidad Nacional
>> Apartado 1350-3000
>> Heredia
>> COSTA RICA
>> [hidden email] <[hidden email]>
>> [hidden email]
>> Teléfono: (506) 8706 - 4662
>> Personal website: Lobito de río <
>> https://sites.google.com/site/lobitoderio/>
>> Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>
>>
>> [[alternative HTML version deleted]]
>>
>> _______________________________________________
>> R-SIG-Mac mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-mac
>>
>>
>>
>>
>> --
>> *Manuel Spínola, Ph.D.*
>> Instituto Internacional en Conservación y Manejo de Vida Silvestre
>> Universidad Nacional
>> Apartado 1350-3000
>> Heredia
>> COSTA RICA
>> [hidden email] <[hidden email]>
>> [hidden email]
>> Teléfono: (506) 8706 - 4662
>> Personal website: Lobito de río <
>> https://sites.google.com/site/lobitoderio/>
>> Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>
>>
>> [[alternative HTML version deleted]]
>>
>> _______________________________________________
>> R-SIG-Mac mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-mac
>>
>>
>>
>
> --
> *Manuel Spínola, Ph.D.*
> Instituto Internacional en Conservación y Manejo de Vida Silvestre
> Universidad Nacional
> Apartado 1350-3000
> Heredia
> COSTA RICA
> [hidden email] <[hidden email]>
> [hidden email]
> Teléfono: (506) 8706 - 4662
> Personal website: Lobito de río
> <https://sites.google.com/site/lobitoderio/>
> Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>
>


--
*Manuel Spínola, Ph.D.*
Instituto Internacional en Conservación y Manejo de Vida Silvestre
Universidad Nacional
Apartado 1350-3000
Heredia
COSTA RICA
[hidden email] <[hidden email]>
[hidden email]
Teléfono: (506) 8706 - 4662
Personal website: Lobito de río <https://sites.google.com/site/lobitoderio/>
Institutional website: ICOMVIS <http://www.icomvis.una.ac.cr/>

        [[alternative HTML version deleted]]

_______________________________________________
R-SIG-Mac mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-mac